eoLinearFitScaling(3)

NAME
eoLinearFitScaling - An instance of eoPerf2Worth COmputes the linearly scaled fitnesses with given selective pressure Pselect(Best) == pressure/sizePop Pselect(average) == 1.0/sizePop truncate negative values to 0 -.

SYNOPSIS

#include <eoLinearFitScaling.h>

Inherits eoPerf2Worth< EOT >.

  Public Member Functions
eoLinearFitScaling (double _p=2.0)
virtual void operator() (const eoPop< EOT > &_pop)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
double pressure

Detailed Description

  template<class EOT> class eoLinearFitScaling< EOT >
An instance of eoPerf2Worth COmputes the linearly scaled fitnesses with given selective pressure Pselect(Best) == pressure/sizePop Pselect(average) == 1.0/sizePop truncate negative values to 0 -. to be used within an eoSelectFromWorth object

Definition at line 43 of file eoLinearFitScaling.h.

Author

Generated automatically by Doxygen for EO from the source code.